@echo off






cd winflash\ipmitool_188
ipmitool -U %1 -P %2 -H %3 -I lanplus raw 0x30 0xC4 0x02 0x00
cd ../

if "%PROCESSOR_ARCHITECTURE%"=="AMD64" goto 64BIT
    
:32BIT
echo Windows x86 Environment
echo.
cd Win32
Yafuflash.exe -d 2 -nw -ip %3 -u %1 -p %2 ..\..\%4 -vyes
goto END

:64BIT
echo Windows x64 Environment
echo.
cd Win64
Yafuflash.exe -d 2 -nw -ip %3 -u %1 -p %2 ..\..\%4 -vyes

:END
cd ../..
@echo on
